Bug 276400 - Build completes but runtime error without Kate installed
Summary: Build completes but runtime error without Kate installed
Status: RESOLVED NOT A BUG
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: git master
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-24 17:43 UTC by David
Modified: 2011-09-20 15:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David 2011-06-24 17:43:51 UTC
Version:           git master (using Devel) 
OS:                Linux

I built KDevelop on top of a completely built-from-source KDE (kdelibs, kde-workspace, kdevplatform). The configuration and build process for KDevelop finished successfully. However, when I executed KDevelop, I saw the splash screen but got a message box that said "Error: could not find KTextEditor ::Factory". I solved this problem by building Kate. I believe there should be a check+error in the KDevelop CMake if Kate is not found.

Reproducible: Didn't try
Comment 1 Milian Wolff 2011-06-25 09:59:38 UTC
Git commit 3ea7bfe23b2dab786a1c5cd26b3d1e8673624763 by Milian Wolff.
Committed on 25/06/2011 at 11:59.
Pushed by mwolff into branch 'master'.

notify user that he needs to install Kate for kdevelop to operate properly

CCBUG: 276400

M  +3    -3    shell/partcontroller.cpp     

http://commits.kde.org/kdevplatform/3ea7bfe23b2dab786a1c5cd26b3d1e8673624763
Comment 2 Milian Wolff 2011-06-25 10:00:05 UTC
A compile-time check for a runtime-dependency makes no sense. I've improved the error message but there is nothing else to do here.